> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve User

> Get a specific user by UUID.

Retrieves the details of a specific user using their unique identifier (UUID).


## OpenAPI

````yaml openapi/organizations/retrieve-user.json GET /organizations/users/{user_id}
openapi: 3.1.0
info:
  title: Users API - Retrieve
  version: 1.0.0
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /organizations/users/{user_id}:
    get:
      summary: Retrieve User
      description: Get a specific user by UUID.
      operationId: retrieve-user
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: User UUID.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  email:
                    type: string
                  first_name:
                    type: string
                  last_name:
                    type: string
                  account_permissions:
                    type: array
                    items:
                      type: object
                      properties:
                        account_id:
                          type: string
                          format: uuid
                        role_id:
                          type: string
                  account_group_permissions:
                    type: array
                    items:
                      type: object
                      properties:
                        account_group_id:
                          type: string
                          format: uuid
                        role_id:
                          type: string
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: PUBLIC-API-KEY
      x-default: <Your PUBLIC-API-KEY>
    sec1:
      type: apiKey
      in: header
      name: PRIVATE-SECRET-KEY
      x-default: <Your PRIVATE-SECRET-KEY>

````